<?php
    use App\Models\Role;
    use Illuminate\Support\Collection;
?>


<?php $__env->startSection('title', 'Edit Role'); ?>

<?php $__env->startSection('content'); ?>

<div class="container-fluid">
    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Edit Roles</h1>
        <a href="<?php echo e(route('roles.index')); ?>" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                class="fas fa-arrow-left fa-sm text-white-50"></i> Back</a>
    </div>
    
    <?php echo $__env->make('common.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- DataTales Example -->
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Edit role</h6>
        </div>
        <form method="POST" action="<?php echo e(route('roles.update', ['role' => $role->id])); ?>">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <div class="card-body">
                <div class="form-group row">
                    
                    <div class="col-sm-6 mb-3 mt-3 mb-sm-0">
                        <span style="color:red;">*</span>Role Name</label>
                        <input
                            type="text"
                            class="form-control form-control-role <?php $__errorArgs = ['role_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                            id="exampleRoleName"
                            placeholder="First Name"
                            name="role_name"
                            value="<?php echo e(old('role_name') ?  old('role_name') : $role->role_name); ?>">
                            <?php $__errorArgs = ['role_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-danger"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-sm-6 mb-3 mt-3 mb-sm-0">
                        <span style="color:red;">*</span>Status</label>
                        <select class="form-control form-control-role <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="status">
                            <option selected disabled>Select Status</option>
                            <option value="1" <?php echo e(old('role_id') ? ((old('role_id') == 1) ? 'selected' : '') : (($role->status == 1) ? 'selected' : '')); ?>>Active</option>
                            <option value="0" <?php echo e(old('role_id') ? ((old('role_id') == 0) ? 'selected' : '') : (($role->status == 0) ? 'selected' : '')); ?>>Inactive</option>
                        </select>
                        <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo e($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    
                    <div class="col-sm-6 mb-3 mt-3 mb-sm-0">
                        <span style="color:red;">*</span>App Login</label>
                        <select class="form-control form-control-role <?php $__errorArgs = ['app_login'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="app_login">
                            <option selected disabled>Select Option</option>
                            <option value="1" <?php echo e(old('role_id') ? ((old('role_id') == 1) ? 'selected' : '') : (($role->app_login == 1) ? 'selected' : '')); ?>>Yes</option>
                            <option value="0" <?php echo e(old('role_id') ? ((old('role_id') == 0) ? 'selected' : '') : (($role->app_login == 0) ? 'selected' : '')); ?>>No</option>
                        </select>
                        <?php $__errorArgs = ['app_login'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo e($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    
                    <div class="col-sm-6 mb-3 mt-3 mb-sm-0">
                        <span style="color:red;">*</span>Anexure Approval</label>
                        <select class="form-control form-control-role <?php $__errorArgs = ['anexure_approval'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="anexure_approval">
                            <option selected disabled>Select Option</option>
                            <option value="1" <?php echo e(old('role_id') ? ((old('role_id') == 1) ? 'selected' : '') : (($role->anexure_approval == 1) ? 'selected' : '')); ?>>Yes</option>
                            <option value="0" <?php echo e(old('role_id') ? ((old('role_id') == 0) ? 'selected' : '') : (($role->anexure_approval == 0) ? 'selected' : '')); ?>>No</option>
                        </select>
                        <?php $__errorArgs = ['anexure_approval'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo e($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="form-group row">
                    <div class="table-responsive">
                        <table class="table table-striped" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th>
                                    <div class="checkbox c-checkbox ">
                                        <label class="needsclick" data-toggle="tooltip" data-placement="top"
                                               title="select all permission">
                                            <strong>Permission</strong>
                                        </label>
                                    </div>
                                </th>
                                <th>
                                    <div class="checkbox c-checkbox ">
                                        <label class="needsclick" data-toggle="tooltip" data-placement="top"
                                               title="View">
                                            <strong>View</strong>
                                        </label>
                                    </div>
                                </th>
                                <th>
                                    <div class="checkbox c-checkbox ">
                                        <label class="needsclick" data-toggle="tooltip" data-placement="top"
                                               title="Create">
                                            <strong>Create</strong>
                                        </label>
                                    </div>
                                </th>
                                <th>
                                    <div class="checkbox c-checkbox ">
                                        <label class="needsclick" data-toggle="tooltip" data-placement="top"
                                               title="Edit">
                                            <strong>Edit</strong>
                                        </label>
                                    </div>
                                </th>
                                <th>
                                    <div class="checkbox c-checkbox ">
                                        <label class="needsclick" data-toggle="tooltip" data-placement="top"
                                               title="Delete">
                                            <strong>Delete</strong>
                                        </label>
                                    </div>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                            $menu_info = DB::table('tbl_menu')->where('status', '1')->orderBy('sort')->get();
                            foreach ($menu_info as $items) {
                                $menu['parents'][$items->parent][] = $items;
                            }
                            
                            $all_menus = isset($menu) && $menu ? Role::buildChild(0, $menu) : [];
                            $array1 = $role_permissions->toArray();
                            $array2 = $menu_info->toArray();
                            
                            $selectedItems = [];
                            foreach ($array1 as $item1) {
                                if ($item1->deleted == 0) {
                                    foreach ($array2 as $item2) {
                                        if ($item2->menu_id == $item1->menu_id) {
                                            $selectedItems[] = $item2;
                                            break; 
                                        }
                                    }
                                }
                            }
                            if (!empty($all_menus)) 
                            {
                                foreach ($all_menus as $parent => $v_parent) 
                                {
                                    if (is_array($v_parent)) 
                                    { 
                                        if (!empty($v_parent)) 
                                        {
                                            foreach ($v_parent as $parent_id => $v_child) { ?>
                                                <style type="text/css">
                                                    .plus {
                                                        background: url('<?php echo e(asset('asset/img/icon_plus.png')); ?>') no-repeat 4px 5px;
                                                        background-size: 8px 8px;
                                                    }
        
                                                    .minus {
                                                        background: url('<?php echo e(asset('asset/img/icon_minus.png')); ?>') no-repeat 4px 8px;
                                                        background-size: 8px 2px;
                                                    }
        
                                                    .parent {
                                                        width: 4%;
                                                        margin-top: 6px;
                                                        cursor: pointer;
                                                    }
        
                                                    .parent span {
                                                        visibility: hidden;
                                                    }
        
                                                    .child {
                                                        display: none
                                                    }
                                                </style>
                                                <tr style="background: #e2e2e2;">
                                                    <th>
                                                        <div id="parent_<?php echo e($parent_id); ?>" class="parent plus pull-left"></div>
                                                        <div class="checkbox c-checkbox pull-left">
                                                            <label class="needsclick " data-toggle="tooltip"
                                                                   data-placement="top"
                                                                   title="select all">
                                                                <strong><?php echo e($parent); ?></strong>
                                                            </label>
                                                        </div>
                                                    </th>
                                                        <?php
                                                            $modifiedCollection3 = $role_permissions->map(function ($item) {
                                                                $item->{'created_' . $item->menu_id} = $item->created;
                                                                $item->{'edit_' . $item->menu_id} = $item->edit;
                                                                $item->{'view_' . $item->menu_id} = $item->view;
                                                                $item->{'deleted_' . $item->menu_id} = $item->deleted;
                                                                return $item;
                                                            });
                                                    
                                                            $modifiedArray3 = $modifiedCollection3->toArray();
                                                             
                                                            $filteredArray3 = array_values(array_filter($modifiedArray3, function ($item) {
                                                                return !in_array($item->menu_id, [1,3, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 17, 18 ,22 ,23 ,24 ,25 ,26]);
                                                            }));
                                                    
                                                            $filteredCollection3 = collect($filteredArray3);
                                                            
                                                            $menuIds = [ 2, 11, 16, 19, 20,21];
                                                            $finalFilteredCollection3 = $filteredCollection3->filter(function ($item) use ($menuIds) {
                                                                return in_array($item->menu_id, $menuIds);
                                                            });
                                                    
                                                            $finalFilteredArray3 = $finalFilteredCollection3->values()->toArray();
                                                            
                                                            $indexValue3 = null;
                                                            foreach ($finalFilteredArray3 as $index => $item) {
                                                                if ($item->menu_id == $parent_id) {
                                                                    $indexValue3 = $index;
                                                                    break;
                                                                }
                                                            }
                                                        ?>
                                                    <th>
                                                        <div class="checkbox c-checkbox ">
                                                            <label class="needsclick view" data-toggle="tooltip"
                                                                   data-placement="top"
                                                                   title="select all">
                                                                <input id="all_view_<?php if (!empty($parent_id)) 
                                                                {
                                                                    echo $parent_id;
                                                                } 
                                                                ?>" class="<?php if (!empty($parent_id)) 
                                                                {
                                                                    echo $parent_id;
                                                                } 
                                                                ?>" type="checkbox" name="view_<?php echo e($parent_id); ?>"
                                                                       value="1" <?php echo e(isset($finalFilteredArray3[$indexValue3]) && $finalFilteredArray3[$indexValue3]->{'view_' . $parent_id} == 1 ? 'checked' : ''); ?>>
                                                            </label>
                                                        </div>
                                                    </th>
                                                    <th>
                                                        <div class="checkbox c-checkbox ">
                                                            <label class="needsclick create" data-toggle="tooltip"
                                                                   data-placement="top"
                                                                   title="select all">
                                                                <input id="all_create_<?php if (!empty($parent_id)) 
                                                                {
                                                                    echo $parent_id;
                                                                } 
                                                                ?>" class="<?php if (!empty($parent_id)) 
                                                                {
                                                                    echo $parent_id;
                                                                } 
                                                                ?>" type="checkbox" name="created_<?php echo e($parent_id); ?>"
                                                                       value="1" <?php echo e(isset($finalFilteredArray3[$indexValue3]) && $finalFilteredArray3[$indexValue3]->{'created_' . $parent_id} == 1 ? 'checked' : ''); ?>>
                                                            </label>
                                                        </div>
                                                    </th>
                                                    <th>
                                                        <div class="checkbox c-checkbox">
                                                            <label class="needsclick edit" data-toggle="tooltip"
                                                                   data-placement="top"
                                                                   title="select all">
                                                                <input id="all_edit_<?php if (!empty($parent_id)) {
                                                                    echo $parent_id;
                                                                } ?>" class="<?php if (!empty($parent_id)) {
                                                                    echo $parent_id;
                                                                } ?>" type="checkbox" name="edited_<?php echo e($parent_id); ?>"
                                                                       value="1" <?php echo e(isset($finalFilteredArray3[$indexValue3]) && $finalFilteredArray3[$indexValue3]->{'edit_' . $parent_id} == 1 ? 'checked' : ''); ?>>
                                                            </label>
                                                        </div>
                                                    </th>
                                                    <th>
                                                        <div class="checkbox c-checkbox">
                                                            <label class="needsclick delete" data-toggle="tooltip"
                                                                   data-placement="top"
                                                                   title="select all">
                                                                <input id="all_delete_<?php if (!empty($parent_id)) {
                                                                    echo $parent_id;
                                                                } ?>" class="<?php if (!empty($parent_id)) {
                                                                    echo $parent_id;
                                                                } ?>" type="checkbox" name="deleted_<?php echo e($parent_id); ?>"
                                                                       value="1" <?php echo e(isset($finalFilteredArray3[$indexValue3]) && $finalFilteredArray3[$indexValue3]->{'deleted_' . $parent_id} == 1 ? 'checked' : ''); ?>>
                                                            </label>
                                                        </div>
                                                    </th>
                                                </tr>
                                                <?php
                                                if (!empty($v_child)) {
                                                    foreach ($v_child as $child => $v_sub_child) 
                                                    {
                                                        if (is_array($v_sub_child)) 
                                                        {
                                                            foreach ($v_sub_child as $sub_chld => $v_sub_chld) { ?>
                                                                <tr style="background: #eeeeee">
                                                                    <td style="display: block;padding-left: 35px;">
                                                                        <div id="parent_<?php echo e($sub_chld); ?>"
                                                                             class="parent plus pull-left"></div>
                                                                        <div class="checkbox c-checkbox pull-left">
                                                                            <label class="needsclick " data-toggle="tooltip"
                                                                                   data-placement="top"
                                                                                   title="select all">
                                                                                <input class="<?php echo e($parent_id); ?>"
                                                                                   id="<?php echo e($sub_chld); ?>" type="checkbox"
                                                                                   name="menu[]" value="1">
                                                                                <strong><?php echo e($child); ?></strong>
                                                                            </label>
                                                                        </div>
                                                                    </td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <?php
                                                                foreach ($v_sub_chld as $sub_chld_name => $sub_chld_id) {
                                                                    if (is_array($sub_chld_id)) {
                                                                        foreach ($sub_chld_id as $sub_chld_1 => $v_sub_chld_1) 
                                                                        { 
                                                                        ?>
                                                                            <tr style="background: #e2e2e2">
                                                                                <td style="display: block;padding-left: 60px;">
                                                                                    <div id="parent_<?php echo e($sub_chld_1); ?>"
                                                                                         class="parent plus pull-left"></div>
                                                                                    <div class="checkbox c-checkbox pull-left">
                                                                                        <label class="needsclick "
                                                                                               data-toggle="tooltip"
                                                                                               data-placement="top"
                                                                                               title="select all">
                                                                                            <input
                                                                                                <?php
                                                                                                if (!empty($roll[$sub_chld_1])) {
                                                                                                    echo $roll[$sub_chld_1] ? 'checked' : '';
                                                                                                }
                                                                                                ?>
                                                                                                class="<?php echo e($parent_id . ' ' . $sub_chld); ?>"
                                                                                                id="<?php echo e($sub_chld_1); ?>"
                                                                                                type="checkbox" name="menu[]"
                                                                                                value="1">
                                                                                            
                                                                                            <strong><?php echo e($sub_chld_name); ?></strong>
                                                                                        </label>
                                                                                    </div>
                                                                                </td>
                                                                                <td></td>
                                                                                <td></td>
                                                                                <td></td>
                                                                            </tr>
                                                                            <?php
                                                                            foreach ($v_sub_chld_1 as $sub_chld_name_1 => $v_sub_chld_2) {
                                                                                if (is_array($v_sub_chld_2)) {
                                                                                    foreach ($v_sub_chld_2 as $sub_chld_name_2 => $v_sub_chld_3) {
                                                                                        ?>
                                                                                        <tr style="background: #eeeeee">
                                                                                            <td style="display: block;padding-left: 85px;">
                                                                                                <div
                                                                                                    id="parent_<?= $sub_chld_name_2; ?>"
                                                                                                    class="parent plus pull-left">
                                                                                                    <span>X</span></div>
                                                                                                <div
                                                                                                    class="checkbox c-checkbox pull-left">
                                                                                                    <label class="needsclick "
                                                                                                           data-toggle="tooltip"
                                                                                                           data-placement="top"
                                                                                                           title="select all">
                                                                                                        <input
                                                                                                            <?php if (!empty($roll[$sub_chld_name_2])) {
                                                                                                                echo $roll[$sub_chld_name_2] ? 'checked' : '';
                                                                                                            }
                                                                                                            ?>
                                                                                                            class="<?php echo e($parent_id . ' ' . $sub_chld . ' ' . $sub_chld_1); ?>"
                                                                                                            id="<?php echo e($sub_chld_name_2); ?>"
                                                                                                            type="checkbox"
                                                                                                            name="menu[]"
                                                                                                            value="1">
                                                                                                <span
                                                                                                    class="fa fa-check"></span>
                                                                                                        <strong><?php echo e($sub_chld_name_1); ?></strong>
                                                                                                    </label>
                                                                                                </div>
                                                                                            </td>
                                                                                            <td></td>
                                                                                            <td></td>
                                                                                            <td></td>
                                                                                        </tr>
                                                                                        <?php
                                                                                        foreach ($v_sub_chld_3 as $sub_chld_name_3 => $v_sub_chld_4) {
                                                                                            if (is_array($v_sub_chld_4)) {
        
                                                                                            } else {
                                                                                                ?>
                                                                                                <tr class="child c_<?= $sub_chld_name_2; ?>">
                                                                                                    <td style="display: block;padding-left: 110px">
                                                                                                        <div
                                                                                                            class="checkbox c-checkbox">
                                                                                                            <label
                                                                                                                class="needsclick "
                                                                                                                data-toggle="tooltip"
                                                                                                                data-placement="top"
                                                                                                                title="select">
                                                                                                                <input <?php if (!empty($roll[$v_sub_chld_4])) {
                                                                                                                    echo $roll[$v_sub_chld_4] ? 'checked' : '';
                                                                                                                }
                                                                                                                ?> id="<?php echo e($v_sub_chld_4); ?>"
                                                                                                                   class="<?php echo e($parent_id . ' ' . $sub_chld . ' ' . $sub_chld_name_2 . ' ' . $sub_chld_1); ?>"
                                                                                                                   type="checkbox"
                                                                                                                   name="menu[]"
                                                                                                                   value="1"><span class="fa fa-check"></span>
                                                                                                                <strong><?php echo e($sub_chld_name_3); ?></strong>
                                                                                                            </label>
                                                                                                        </div>
                                                                                                    </td>
                                                                                                    <td>
                                                                                                        <div
                                                                                                            class="checkbox c-checkbox ">
                                                                                                            <label
                                                                                                                class="needsclick view"
                                                                                                                data-toggle="tooltip"
                                                                                                                data-placement="top"
                                                                                                                title="View Help">
                                                                                                                <input
                                                                                                                    <?php if (!empty($roll[$v_sub_chld_4])) {
                                                                                                                        echo $roll[$v_sub_chld_4] ? 'checked' : '';
                                                                                                                    }
                                                                                                                    ?>
                                                                                                                    class="<?php echo e($sub_chld . ' ' . $v_sub_chld_4 . ' ' . $sub_chld_name_2 . ' ' . $parent_id . ' ' . $sub_chld_1); ?>"
                                                                                                                    type="checkbox"
                                                                                                                    name="view_<?php echo e($v_sub_chld_4); ?>"
                                                                                                                    value="1"><span class="fa fa-check"></span>
                                                                                                            </label>
                                                                                                        </div>
                                                                                                    </td>
                                                                                                    <td>
                                                                                                        <div
                                                                                                            class="checkbox c-checkbox ">
                                                                                                            <label
                                                                                                                class="needsclick create"
                                                                                                                data-toggle="tooltip"
                                                                                                                data-placement="top"
                                                                                                                title="can create">
                                                                                                                <input
                                                                                                                    <?php if (!empty($roll[$v_sub_chld_4])) {
                                                                                                                        echo $roll[$v_sub_chld_4]->created == $v_sub_chld_4 ? 'checked' : '';
                                                                                                                    }
                                                                                                                    ?>class="<?php echo e($sub_chld . ' ' . $v_sub_chld_4 . ' ' . $sub_chld_name_2 . ' ' . $parent_id . ' ' . $sub_chld_1); ?>"
                                                                                                                    type="checkbox"
                                                                                                                    name="created_<?php echo e($v_sub_chld_4); ?>"
                                                                                                                    value="1"><span class="fa fa-check"></span>
                                                                                                            </label>
                                                                                                        </div>
                                                                                                    </td>
                                                                                                    <td>
                                                                                                        <div
                                                                                                            class="checkbox c-checkbox">
                                                                                                            <label
                                                                                                                class="needsclick edit"
                                                                                                                data-toggle="tooltip"
                                                                                                                data-placement="top"
                                                                                                                title="can edit">
                                                                                                                <input <?php
                                                                                                                if (!empty($roll[$v_sub_chld_4])) {
                                                                                                                    echo $roll[$v_sub_chld_4]->edited == $v_sub_chld_4 ? 'checked' : '';
                                                                                                                }
                                                                                                                ?>
                                                                                                                    class="<?php echo e($sub_chld . ' ' . $v_sub_chld_4 . ' ' . $sub_chld_name_2 . ' ' . $parent_id . ' ' . $sub_chld_1); ?>"
                                                                                                                    type="checkbox"
                                                                                                                    name="edited_<?php echo e($v_sub_chld_4); ?>"
                                                                                                                    value="1"><span class="fa fa-check"></span>
                                                                                                            </label>
                                                                                                        </div>
                                                                                                    </td>
                                                                                                    <td>
                                                                                                        <div
                                                                                                            class="checkbox c-checkbox">
                                                                                                            <label
                                                                                                                class="needsclick delete"
                                                                                                                data-toggle="tooltip"
                                                                                                                data-placement="top"
                                                                                                                title="can delete">
                                                                                                                <input <?php
                                                                                                                if (!empty($roll[$v_sub_chld_4])) {
                                                                                                                    echo $roll[$v_sub_chld_4]->deleted == $v_sub_chld_4 ? 'checked' : '';
                                                                                                                }
                                                                                                                ?> class="<?php echo e($sub_chld . ' ' . $v_sub_chld_4 . ' ' . $sub_chld_name_2 . ' ' . $parent_id . ' ' . $sub_chld_1); ?>"
                                                                                                                   type="checkbox"
                                                                                                                   name="deleted_<?php echo e($v_sub_chld_4); ?>"
                                                                                                                   value="1"><span class="fa fa-check"></span>
                                                                                                            </label>
                                                                                                        </div>
                                                                                                    </td>
                                                                                                </tr>
                                                                                                <?php
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                } else { ?>
                                                                                    <tr class="child c_<?php echo e($sub_chld_1); ?>">
                                                                                        <td style="display: block;padding-left: 85px">
                                                                                            <div class="checkbox c-checkbox ">
                                                                                                <label class="needsclick "
                                                                                                       data-toggle="tooltip"
                                                                                                       data-placement="top"
                                                                                                       title="select">
                                                                                                    <input <?php if (!empty($roll[$v_sub_chld_2])) {
                                                                                                        echo $roll[$v_sub_chld_2] ? 'checked' : '';
                                                                                                    }
                                                                                                    ?> id="<?php echo e($v_sub_chld_2); ?>"
                                                                                                       class="<?php echo e($parent_id . ' ' . $sub_chld . ' ' . $sub_chld_1); ?>"
                                                                                                       type="checkbox"
                                                                                                       name="menu[]"
                                                                                                       value="1"><span class="fa fa-check"></span>
                                                                                                    <strong><?php echo e($sub_chld_name_1); ?></strong>
                                                                                                </label>
                                                                                            </div>
                                                                                        </td>
                                                                                        <td>
                                                                                            <div class="checkbox c-checkbox ">
                                                                                                <label class="needsclick view"
                                                                                                       data-toggle="tooltip"
                                                                                                       data-placement="top"
                                                                                                       title="View Help">
                                                                                                    <input <?php if (!empty($roll[$v_sub_chld_2])) {
                                                                                                        echo $roll[$v_sub_chld_2] ? 'checked' : '';
                                                                                                    }
                                                                                                    ?>
                                                                                                        class="<?php echo e($sub_chld . ' ' . $parent_id . ' ' . $v_sub_chld_2 . ' ' . $sub_chld_1); ?>"
                                                                                                        type="checkbox"
                                                                                                        name="view_<?php echo e($v_sub_chld_2); ?>"
                                                                                                        value="1"><span class="fa fa-check"></span>
                                                                                                </label>
                                                                                            </div>
                                                                                        </td>
                                                                                        <td>
                                                                                            <div class="checkbox c-checkbox ">
                                                                                                <label class="needsclick create"
                                                                                                       data-toggle="tooltip"
                                                                                                       data-placement="top"
                                                                                                       title="can create">
                                                                                                    <input <?php if (!empty($roll[$v_sub_chld_2])) {
                                                                                                        echo $roll[$v_sub_chld_2]->created == $v_sub_chld_2 ? 'checked' : '';
                                                                                                    } ?>
                                                                                                        class="<?php echo e($sub_chld . ' ' . $parent_id . ' ' . $v_sub_chld_2 . ' ' . $sub_chld_1); ?>"
                                                                                                        type="checkbox"
                                                                                                        name="created_<?php echo e($v_sub_chld_2); ?>"
                                                                                                        value="1"><span class="fa fa-check"></span>
                                                                                                </label>
                                                                                            </div>
                                                                                        </td>
                                                                                        <td>
                                                                                            <div class="checkbox c-checkbox">
                                                                                                <label class="needsclick edit"
                                                                                                       data-toggle="tooltip"
                                                                                                       data-placement="top"
                                                                                                       title="can edit">
                                                                                                    <input <?php
                                                                                                    if (!empty($roll[$v_sub_chld_2])) {
                                                                                                        echo $roll[$v_sub_chld_2]->edited == $v_sub_chld_2 ? 'checked' : '';
                                                                                                    }
                                                                                                    ?> class="<?php echo e($sub_chld_1 . ' ' . $sub_chld . ' ' . $v_sub_chld_2 . ' ' . $parent_id); ?>"
                                                                                                       type="checkbox"
                                                                                                       name="edited_<?php echo e($v_sub_chld_2); ?>"
                                                                                                       value="1"><span class="fa fa-check"></span>
                                                                                                </label>
                                                                                            </div>
                                                                                        </td>
                                                                                        <td>
                                                                                            <div class="checkbox c-checkbox">
                                                                                                <label class="needsclick delete"
                                                                                                       data-toggle="tooltip"
                                                                                                       data-placement="top"
                                                                                                       title="can delete">
                                                                                                    <input <?php
                                                                                                    if (!empty($roll[$v_sub_chld_2])) {
                                                                                                        echo $roll[$v_sub_chld_2]->deleted == $v_sub_chld_2 ? 'checked' : '';
                                                                                                    }
                                                                                                    ?>
                                                                                                        class="<?php echo e($sub_chld_1 . ' ' . $sub_chld . ' ' . $v_sub_chld_2 . ' ' . $parent_id); ?>"
                                                                                                        type="checkbox"
                                                                                                        name="deleted_<?php echo e($v_sub_chld_2); ?>"
                                                                                                        value="1"><span class="fa fa-check"></span>
                                                                                                </label>
                                                                                            </div>
                                                                                        </td>
                                                                                    </tr>
                                                                                    <?php
                                                                                }
                                                                            }
                                                                        }
                                                                    } else { ?>
                                                                        <tr class="child c_<?= $sub_chld; ?>">
                                                                            <td style="display: block;padding-left: 60px">
                                                                                <div class="checkbox c-checkbox ">
                                                                                    <label class="needsclick "
                                                                                           data-toggle="tooltip"
                                                                                           data-placement="top"
                                                                                           title="select">
                                                                                        <input <?php
                                                                                        if (!empty($roll[$sub_chld_id])) {
                                                                                            echo $roll[$sub_chld_id] ? 'checked' : '';
                                                                                        }
                                                                                        ?> id="<?php echo e($sub_chld_id); ?>"
                                                                                           class="<?php echo e($parent_id . ' ' . $sub_chld); ?>"
                                                                                           type="checkbox"
                                                                                           name="menu[]"
                                                                                           value="1">
                                                                                        <strong><?php echo e($sub_chld_name); ?></strong>
                                                                                    </label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="checkbox c-checkbox ">
                                                                                    <label class="needsclick view"
                                                                                           data-toggle="tooltip"
                                                                                           data-placement="top"
                                                                                           title="View Help">
                                                                                        <input <?php
                                                                                        if (!empty($roll[$sub_chld_id])) {
                                                                                            echo $roll[$sub_chld_id] ? 'checked' : '';
                                                                                        }
                                                                                        ?> class="<?php echo e($sub_chld . ' ' . $sub_chld_id . ' ' . $parent_id); ?>"
                                                                                           type="checkbox"
                                                                                           name="view_<?php echo e($sub_chld_id); ?>"
                                                                                           value="1">
                                                                                    </label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="checkbox c-checkbox ">
                                                                                    <label class="needsclick create"
                                                                                           data-toggle="tooltip"
                                                                                           data-placement="top"
                                                                                           title="can create">
                                                                                        <input <?php
                                                                                        if (!empty($roll[$sub_chld_id])) {
                                                                                            echo $roll[$sub_chld_id]->created == $sub_chld_id ? 'checked' : '';
                                                                                        }
                                                                                        ?>
                                                                                            class="<?php echo e($sub_chld . ' ' . $sub_chld_id . ' ' . $parent_id); ?>"
                                                                                            type="checkbox"
                                                                                            name="created_<?php echo e($sub_chld_id); ?>"
                                                                                            value="1">
                                                                                    </label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="checkbox c-checkbox">
                                                                                    <label class="needsclick edit"
                                                                                           data-toggle="tooltip"
                                                                                           data-placement="top"
                                                                                           title="can edit">
                                                                                        <input <?php
                                                                                        if (!empty($roll[$sub_chld_id])) {
                                                                                            echo $roll[$sub_chld_id]->edited == $sub_chld_id ? 'checked' : '';
                                                                                        }
                                                                                        ?>
                                                                                            class="<?php echo e($sub_chld . ' ' . $sub_chld_id . ' ' . $parent_id); ?>"
                                                                                            type="checkbox"
                                                                                            name="edited_<?php echo e($sub_chld_id); ?>"
                                                                                            value="1">
                                                                                    </label>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div class="checkbox c-checkbox">
                                                                                    <label class="needsclick delete"
                                                                                           data-toggle="tooltip"
                                                                                           data-placement="top"
                                                                                           title="can delete">
                                                                                        <input <?php
                                                                                        if (!empty($roll[$sub_chld_id])) {
                                                                                            echo $roll[$sub_chld_id]->deleted == $sub_chld_id ? 'checked' : '';
                                                                                        }
                                                                                        ?>
                                                                                            class="<?php echo e($sub_chld . ' ' . $sub_chld_id . ' ' . $parent_id); ?>"
                                                                                            type="checkbox"
                                                                                            name="deleted_<?php echo e($sub_chld_id); ?>"
                                                                                            value="1">
                                                                                    </label>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        <?php
                                                                    }
                                                                }
                                                            }
                                                        } else { ?>
                                                            <tr class="child c_<?= $parent_id; ?>">
                                                                <td style="display: block; padding-left: 35px;">
                                                                    <div class="checkbox c-checkbox">
                                                                        <label class="needsclick" data-toggle="tooltip" data-placement="top" title="select">
                                                                            <strong><?php echo e($child); ?></strong>
                                                                        </label>
                                                                    </div>
                                                                </td>
                                                                <td>
                                                                    <?php
                                                                    // Mapping and filtering logic remains the same
                                                                    $modifiedCollection2 = $role_permissions->map(function ($item) {
                                                                        $item->{'created_' . $item->menu_id} = $item->created;
                                                                        $item->{'edit_' . $item->menu_id} = $item->edit;
                                                                        $item->{'view_' . $item->menu_id} = $item->view;
                                                                        $item->{'deleted_' . $item->menu_id} = $item->deleted;
                                                                        return $item;
                                                                    });
                                                            
                                                                    $modifiedArray = $modifiedCollection2->toArray();
                                                            
                                                                    $filteredArray = array_values(array_filter($modifiedArray, function ($item) {
                                                                        return !in_array($item->menu_id, [1, 2, 11, 16, 19, 20,21]);
                                                                    }));
                                                            
                                                                    $filteredCollection = collect($filteredArray);
                                                            
                                                                    $menuIds = [3, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 17, 18 ,22 ,23 ,24 ,25 ,26];
                                                                    $finalFilteredCollection = $filteredCollection->filter(function ($item) use ($menuIds) {
                                                                        return in_array($item->menu_id, $menuIds);
                                                                    });
                                                            
                                                                    $finalFilteredArray = $finalFilteredCollection->values()->toArray();
                                                                    
                                                                    $indexValue = null;
                                                                    foreach ($finalFilteredArray as $index => $item) {
                                                                        if ($item->menu_id == $v_sub_child) {
                                                                            $indexValue = $index;
                                                                            break;
                                                                        }
                                                                    }
                                                                    ?>
                                                                    <div class="checkbox c-checkbox">
                                                                        <label class="needsclick view" data-toggle="tooltip" data-placement="top" title="View Help">
                                                                            <input class="<?php echo e($parent_id . ' ' . $v_sub_child); ?>"
                                                                                   type="checkbox"
                                                                                   name="view_<?php echo e($v_sub_child); ?>"
                                                                                   value="1" <?php echo e(isset($finalFilteredArray[$indexValue]) && $finalFilteredArray[$indexValue]->{'view_' . $v_sub_child} == 1 ? 'checked' : ''); ?>>
                                                                        </label>
                                                                    </div>
                                                                </td>
                                                                <td>
                                                                    <div class="checkbox c-checkbox">
                                                                        <label class="needsclick create" data-toggle="tooltip" data-placement="top" title="can create">
                                                                            <input class="<?php echo e($parent_id . ' ' . $v_sub_child); ?>"
                                                                                   type="checkbox"
                                                                                   name="created_<?php echo e($v_sub_child); ?>"
                                                                                   value="1" <?php echo e(isset($finalFilteredArray[$indexValue]) && $finalFilteredArray[$indexValue]->{'created_' . $v_sub_child} == 1 ? 'checked' : ''); ?>>
                                                                        </label>
                                                                    </div>
                                                                </td>
                                                                <td>
                                                                    <div class="checkbox c-checkbox">
                                                                        <label class="needsclick edit" data-toggle="tooltip" data-placement="top" title="can edit">
                                                                            <input class="<?php echo e($parent_id . ' ' . $v_sub_child); ?>"
                                                                                   type="checkbox"
                                                                                   name="edited_<?php echo e($v_sub_child); ?>"
                                                                                   value="1" <?php echo e(isset($finalFilteredArray[$indexValue]) && $finalFilteredArray[$indexValue]->{'edit_' . $v_sub_child} == 1 ? 'checked' : ''); ?>>
                                                                        </label>
                                                                    </div>
                                                                </td>
                                                                <td>
                                                                    <div class="checkbox c-checkbox">
                                                                        <label class="needsclick delete" data-toggle="tooltip" data-placement="top" title="can delete">
                                                                            <input class="<?php echo e($parent_id . ' ' . $v_sub_child); ?>"
                                                                                   type="checkbox"
                                                                                   name="deleted_<?php echo e($v_sub_child); ?>"
                                                                                   value="1" <?php echo e(isset($finalFilteredArray[$indexValue]) && $finalFilteredArray[$indexValue]->{'deleted_' . $v_sub_child} == 1 ? 'checked' : ''); ?>>
                                                                        </label>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                        <?php
                                                        }
                                                    }
                                                } ?>
        
                                            <?php }
                                        }
                                    } else { ?>
                                        <tr>
                                            <td>
                                                <div class="checkbox c-checkbox ">
                                                    <label class="needsclick " data-toggle="tooltip" data-placement="top"
                                                           title="select">
                                                        <strong><?php echo e($parent); ?></strong>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <?php
                                                    $modifiedCollection5 = $role_permissions->map(function ($item) {
                                                        $item->{'created_' . $item->menu_id} = $item->created;
                                                        $item->{'edit_' . $item->menu_id} = $item->edit;
                                                        $item->{'view_' . $item->menu_id} = $item->view;
                                                        $item->{'deleted_' . $item->menu_id} = $item->deleted;
                                                        return $item;
                                                    });
                                            
                                                    $modifiedArray5 = $modifiedCollection5->toArray();
                                            
                                                    $filteredArray5 = array_values(array_filter($modifiedArray5, function ($item) {
                                                        return !in_array($item->menu_id, [2,3, 4, 5, 6, 7, 8, 9, 10,11, 12, 13, 14, 15, 16, 17, 18 ,22 ,23 ,24 ,25 ,26]);
                                                        
                                                    }));
                                            
                                                    $filteredCollection5 = collect($filteredArray5);
                                            
                                                    $menuIds = [1, 19, 20,21];
                                                    $finalFilteredCollection5 = $filteredCollection5->filter(function ($item) use ($menuIds) {
                                                        return in_array($item->menu_id, $menuIds);
                                                    });
                                            
                                                    $finalFilteredArray5 = $finalFilteredCollection5->values()->toArray();
                                                    
                                                    $indexValue5 = null;
                                                    foreach ($finalFilteredArray5 as $index => $item) {
                                                        if ($item->menu_id == $v_parent) {
                                                            $indexValue5 = $index;
                                                            break;
                                                        }
                                                    }
                                                ?>
                                                <div class="checkbox c-checkbox ">
                                                    <label class="needsclick view" data-toggle="tooltip"
                                                           data-placement="top"
                                                           title="View Help">
                                                        <input id="<?php echo e($v_parent); ?>"
                                                               class="<?php echo e($v_parent); ?>" type="checkbox"
                                                               name="view_<?php echo e($v_parent); ?>"
                                                               value="1" <?php echo e(isset($finalFilteredArray5[$indexValue5]) && $finalFilteredArray5[$indexValue5]->{'view_' . $v_parent} == 1 ? 'checked' : ''); ?>>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="checkbox c-checkbox ">
                                                    <label class="needsclick create" data-toggle="tooltip"
                                                           data-placement="top"
                                                           title="can create">
                                                        <input
                                                            <?php
                                                            if (!empty($roll[$v_parent])) {
                                                                echo $roll[$v_parent]->created == $v_parent ? 'checked' : '';
                                                            }
                                                            ?>
                                                            class="<?php echo e($v_parent); ?>" type="checkbox"
                                                            name="created_<?php echo e($v_parent); ?>"
                                                            value="1" <?php echo e(isset($finalFilteredArray5[$indexValue5]) && $finalFilteredArray5[$indexValue5]->{'created_' . $v_parent} == 1 ? 'checked' : ''); ?>>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="checkbox c-checkbox">
                                                    <label class="needsclick edit" data-toggle="tooltip"
                                                           data-placement="top"
                                                           title="can edit">
                                                        <input <?php
                                                        if (!empty($roll[$v_parent])) {
                                                            echo $roll[$v_parent]->edited == $v_parent ? 'checked' : '';
                                                        }
                                                        ?> class="<?php echo e($v_parent); ?>" type="checkbox"
                                                           name="edited_<?php echo e($v_parent); ?>"
                                                           value="1" <?php echo e(isset($finalFilteredArray5[$indexValue5]) && $finalFilteredArray5[$indexValue5]->{'edit_' . $v_parent} == 1 ? 'checked' : ''); ?>>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="checkbox c-checkbox">
                                                    <label class="needsclick delete" data-toggle="tooltip"
                                                           data-placement="top"
                                                           title="can delete">
                                                        <input <?php
                                                        if (!empty($roll[$v_parent])) {
                                                            echo $roll[$v_parent]->deleted == $v_parent ? 'checked' : '';
                                                        }
                                                        ?> class="<?php echo e($v_parent); ?>" type="checkbox"
                                                           name="deleted_<?php echo e($v_parent); ?>"
                                                           value="1" <?php echo e(isset($finalFilteredArray5[$indexValue5]) && $finalFilteredArray5[$indexValue5]->{'deleted_' . $v_parent} == 1 ? 'checked' : ''); ?>>
                                                    </label>
                                                </div>
                                            </td>
                                        </tr>
                                    <?php 
                                    }
                                }
                            }
                            ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button type="submit" class="btn btn-success btn-role float-right mb-3">Update</button>
                <a class="btn btn-primary float-right mr-3 mb-3" href="<?php echo e(route('roles.index')); ?>">Cancel</a>
            </div>
        </form>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/temeshink/public_html/surveyapp/resources/views/roles/edit.blade.php ENDPATH**/ ?>